Skip to content

Instantly share code, notes, and snippets.

View therealparmesh's full-sized avatar
🦮

Parmesh Krishen therealparmesh

🦮
  • Austin, Texas
  • 04:58 (UTC -05:00)
View GitHub Profile
eval "$(/opt/homebrew/bin/brew shellenv)"
autoload -Uz compinit
compinit
setopt append_history
setopt auto_pushd
setopt autocd
setopt cdable_vars
@therealparmesh
therealparmesh / tokyo-night-theme.kdl
Created July 23, 2024 16:02
tokyo-night-theme.kdl
themes {
tokyo-night-theme {
fg "#c0caf5"
bg "#292e42"
black "#1a1b26"
red "#f7768e"
green "#9ece6a"
yellow "#e0af68"
blue "#7aa2f7"
magenta "#bb9af7"
@therealparmesh
therealparmesh / languages.toml
Created July 13, 2024 16:28
Helix languages.toml
[[language]]
name = "javascript"
auto-format = true
formatter = { command = "prettier", args = ["--write"] }
[[language]]
name = "typescript"
auto-format = true
formatter = { command = "prettier", args = ["--write"] }
@therealparmesh
therealparmesh / slides.html
Created May 22, 2024 17:16
reveal.js boilerplate
<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta
name="viewport"
content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"
/>
<title>reveal.js</title>
<link
@therealparmesh
therealparmesh / Makefile
Created March 16, 2024 22:23
Go + Bun + HTMX + Tailwind Makefile
.PHONY: setup dev build
setup:
@echo "Checking for go..."
@command -v go >/dev/null 2>&1 || { echo >&2 "go is not installed. Aborting."; exit 1; }
@echo "Checking for bun..."
@command -v bun >/dev/null 2>&1 || { echo >&2 "bun is not installed. Aborting."; exit 1; }
@echo "Checking for air..."
@command -v air >/dev/null 2>&1 || { echo >&2 "air is not installed. Please install it by running 'go install github.com/cosmtrek/air@latest'. Aborting."; exit 1; }
@echo "Running go mod tidy..."
#!/bin/bash
set -euo pipefail
# Variables
REPO="user/repo"
ASSET_NAME=""
# Detect OS & set installation path
detect_os() {
export async function retryAsync<T>(
asyncFn: () => Promise<T>,
maxRetries: number,
): Promise<T> {
let retries = 0;
while (retries < maxRetries) {
try {
return await asyncFn();
} catch (error) {
@therealparmesh
therealparmesh / rollup-typescript.md
Created December 30, 2021 03:15 — forked from aleclarson/rollup-typescript.md
The best Rollup config for TypeScript libraries

Features

🔥 Blazing fast builds
😇 CommonJS bundle
🌲 .mjs bundle
.d.ts bundle + type-checking
🧐 Source maps

Install

@therealparmesh
therealparmesh / bear-tags-regex.txt
Created December 26, 2021 23:08
Bear tags regex
\{\\field\{\\\*\\fldinst\{HYPERLINK "bear://x-callback-url/open-tag\?name=.*"\}\}\{\\fldrslt (.*)\}\}\}
@therealparmesh
therealparmesh / .eslintrc
Created November 11, 2021 03:47
ESLint configuration for React with TypeScript
{
"root": true,
"extends": [
"eslint:recommended",
"plugin:@typescript-eslint/recommended",
"plugin:import/recommended",
"plugin:import/typescript",
"plugin:react/recommended",
"plugin:react/jsx-runtime",
"plugin:react-hooks/recommended"